# jQuery Socket
The **jQuery Socket** is a server agnostic JavaScript library that provides a socket for browser-based applications that need two-way communication with servers and aims to utilize a full duplex connection for modern web application development.

All you need to do to use the **jQuery Socket** is to prepare a [event-driven](http://daverecycles.com/post/3104767110/explain-event-driven-web-servers-to-your-grandma) server and to implement some server-side code to run transports which application will use. Whether cross-domain connections, old browsers and mobile devices are supported or not is depending on transports.

The **jQuery Socket** project is developed and maintained by [Donghwan Kim](http://twitter.com/flowersits). If you are interested, please subscribe to the [discussion group](https://groups.google.com/d/forum/jquery-socket).

## Documentation
* [API](https://github.com/flowersinthesand/jquery-socket/wiki/API): jQuery Socket Reference.
* [Server Side Processing](https://github.com/flowersinthesand/jquery-socket/wiki/Server-Side-Processing): Guideline for required server side processing.
* [Sample](https://github.com/flowersinthesand/jquery-socket/wiki/Sample): Simple chat examples on various platforms.